require "spec_helper"

describe BaloonsController do
  describe "routing" do

    it "routes to #index" do
      get("/baloons").should route_to("baloons#index")
    end

    it "routes to #new" do
      get("/baloons/new").should route_to("baloons#new")
    end

    it "routes to #show" do
      get("/baloons/1").should route_to("baloons#show", :id => "1")
    end

    it "routes to #edit" do
      get("/baloons/1/edit").should route_to("baloons#edit", :id => "1")
    end

    it "routes to #create" do
      post("/baloons").should route_to("baloons#create")
    end

    it "routes to #update" do
      put("/baloons/1").should route_to("baloons#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/baloons/1").should route_to("baloons#destroy", :id => "1")
    end

  end
end
